Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
sauce::internal::BaseInjector< ImplicitBindings > Class Template Reference

## Public Member Functions
template<typename Dependency >
void | validateAcyclic (bool validateProviding, InjectorPtr injector, TypeIds &ids, std::string const name) const
template<typename Dependency >
void | inject (typename Key< Dependency >::Ptr &injected, InjectorPtr injector, std::string const name) const
template<typename Scope >
void | eagerlyInject (InjectorPtr injector) const
sauce::auto_ptr< Lock > | acquireLock ()
| Create an RAII synchronization lock.

## Friends
class | ::sauce::Modules

The documentation for this class was generated from the following file:

- sauce/internal/base_injector.h